Subject: bug#64653: 'static-networking' fails to start

From: Fabio Natali <[email-masked]>
Date: Mon, 25 Mar 2024 11:52:12 +0000

Hi,

I've been trying to reconfigure a machine from static IPv4 to static
dual-stack or IPv6-only. I followed one⁰ of the examples in the manual,
so I'd think I got the syntax right.

Once the reconfiguration has taken place and when restarting the
networking service, I get this error:

,----
| herd: error: exception caught while executing 'start' on service 'networking':
| Throw to key `%exception' with args `("#<&netlink-response-error errno: 17>")'.
`----

This would seem to be relevant to this bug report 64653?

Do you know what this might be related to and what I can do to solve it?

This happens on an up-to-date Guix system.

Thanks, best wishes, Fabio.

⁰ https://guix.gnu.org/manual/devel/en/html_node/Networking-Setup.html#index-static_002dnetworking

-- 
Fabio Natali
https://fabionatali.com